Update Environment Variable Group

Update Environment Variable Group
Update environment variable group

Update the environment variable group. The variables given in the request will be merged with the existing environment variable group. Any requested variables with a value of null will be removed from the group. Environment variable names may not start with VCAP_. PORT is not a valid environment variable.

Variables updated in the running environment variable group will not take effect until apps are restarted.

Request
URI
PATCH
https://api.example.local/v3/environment_variable_groups/{name}
COPY
Path Parameters
string
name
Required

name

Possible values are : running, staging,

Request Body

The environment variables to update

{
    "var": {
        "var": "string"
    }
}
object
var
Optional

Environment variables to inject; keys and values must be strings

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns EnvironmentVariableGroup of type(s) application/json
{
    "updated_at": "string",
    "name": "string",
    "var": {
        "var": "string"
    },
    "links": {
        "self": {
            "href": "string",
            "method": "string"
        }
    }
}
string As date-time As date-time
updated_at
Optional

The time the environment variable group was last updated

string
name
Optional

The name of the group; can only be "running" or "staging"

object
var
Optional

Environment variables to inject; keys and values must be strings

object
links
Optional

links


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


409

Conflict

Returns Conflict of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


422

Unprocessable Entity

Returns UnprocessableEntity of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


500

Internal Server Error

Returns 500 of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


503

Service Unavailable

Returns ServiceUnavailable of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}'